SystemOrganization addCategory: #'Pier-Design'!

!PRFile methodsFor: '*pier-design' stamp: 'lr 5/28/2008 15:00'!
contents
	^ self file contents asString! !

PRChangeCommand subclass: #PRDesignCommand
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Design'!

!PRDesignCommand commentStamp: 'lr 11/5/2007 21:41' prior: 0!
Command to edit the design of the current page. This is a shortcut of the normal edit command on the associated environment pages.!

!PRDesignCommand class methodsFor: 'accessing' stamp: 'tg 11/14/2007 16:56'!
accessKey
	^ $d! !

!PRDesignCommand class methodsFor: 'testing' stamp: 'lr 11/5/2007 21:44'!
isAbstract
	^ false! !

!PRDesignCommand class methodsFor: 'accessing' stamp: 'lr 11/5/2007 21:13'!
label
	^ 'Edit Design'! !

!PRDesignCommand methodsFor: 'private' stamp: 'lr 8/24/2008 11:56'!
description
	| description |
	description := MAContainer new.
	description addAll: (self 
			descriptionsForGroup: 'Environment'
			selector: #environment).
	self structure styleSheets keysAndValuesDo: 
		[ :index :each | 
		description addAll: (self 
				descriptionsForGroup: 'Style Sheets'
				selector: #styleSheets
				index: index) ].
	^ description! !

!PRDesignCommand methodsFor: 'private' stamp: 'lr 11/14/2007 20:57'!
descriptionsForGroup: aString selector: aSelector
	^ self descriptionsForGroup: aString selector: aSelector index: nil! !

!PRDesignCommand methodsFor: 'private' stamp: 'tg 9/17/2008 08:34'!
descriptionsForGroup: aString selector: aSelector index: anInteger
	"Now this is truly and utterly ugly. Don't look at it, ok?"
	
	| accessor description |
	accessor := MASelectorAccessor selector: aSelector.
	accessor := anInteger isNil 
		ifTrue: [ PRDocumentAccessor on: accessor ]
		ifFalse: [ MAChainAccessor
				on: accessor 
				accessor: (MADictionaryAccessor key: anInteger) ].
	description := anInteger isNil 
				ifTrue: [ PRDocumentDescription new ]
				ifFalse: [ MAMemoDescription new cssClass: 'file' ].
	^ Array 
		with: (PRStructureDescription new
			accessor: accessor;
			label: 'Location';
			group: aString;
			beReadonly;
			yourself)
		with: ( description
			instVarNamed: 'accessor' put: (MAChainAccessor
				on: accessor
				accessor: (MASelectorAccessor selector: (anInteger isNil
					ifTrue: [ #document ]
					ifFalse: [ #contents ])));
			label: 'Contents';
			group: aString;
			yourself)! !

!PRDesignCommand methodsFor: 'events' stamp: 'lr 3/12/2009 14:06'!
doExecute
	super doExecute.
	self structure styleSheets do: [ :each |
		each file
			filename: 'style.css';	
			mimetype: 'text/css' ]! !
